Redis-py for Redis SSL
==========================

.. meta::
    :description: How to use SSL with redis-py

If you are already using redis-py there are some config options that allow for the use of SSL as redis-py has SSL support.

Configuration
-------------

.. code-block:: python

   import redis
   import sys
   if __name__ == "__main__":
     r = redis.Redis(host=sys.argv[1], ssl=True, port=6380, password=sys.argv[2], ssl_ca_certs=sys.argv[3])
     r.set('foo', 'bar')
     value = r.get('foo')
     print value
